rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
rpmku.h File Reference
RPMIO.
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
rpmRC | rpmkuFindPubkey (pgpDigParams sigp, rpmiob *iobp)
| Lookup pubkey in keyutils keyring. More...
rpmRC | rpmkuStorePubkey (pgpDigParams sigp, rpmiob iob)
| Store pubkey in keyutils keyring. More...
const char * | rpmkuPassPhrase (const char *passPhrase)
| Return pass phrase from keyutils keyring. More...

## Variables
rpmint32_t | _kuKeyring
| Keyutils keyring to use. More...

## Function Documentation

rpmRC rpmkuFindPubkey | ( | pgpDigParams | sigp,
|  | rpmiob * | iobp
| ) |  |

Lookup pubkey in keyutils keyring.

Parameters

  sigp | signature packet

Return values

  *iobp | pubkey I/O buffer

Returns
  RPMRC_OK on success

Definition at line 149 of file rpmku.c.

References _kuKeyring, alloca(), pgpGrab(), rpmiobFree(), rpmiobNew(), RPMRC_NOTFOUND, RPMRC_OK, snprintf(), stpcpy(), and xstrdup().

Referenced by rpmtsFindPubkey().

const char* rpmkuPassPhrase | ( | const char * | passPhrase | ) |

Return pass phrase from keyutils keyring.

Parameters

  passPhrase | pass phrase

Returns
  (malloc'd) pass phrase

Definition at line 219 of file rpmku.c.

References _kuKeyring, and xstrdup().

Referenced by makeGPGSignature(), and rpmCheckPassPhrase().

rpmRC rpmkuStorePubkey | ( | pgpDigParams | sigp,
|  | rpmiob | iob
| ) |  |

Store pubkey in keyutils keyring.

Parameters

  sigp | signature packet
  iob | pubkey I/O buffer

Returns
  RPMRC_OK on success

Definition at line 196 of file rpmku.c.

References _kuKeyring, alloca(), pgpGrab(), rpmiobFree(), RPMRC_OK, snprintf(), and stpcpy().

Referenced by rpmtsFindPubkey().

## Variable Documentation

rpmint32_t _kuKeyring

Keyutils keyring to use.

Referenced by _GetPass(), rpmkuFindPubkey(), rpmkuPassPhrase(), and rpmkuStorePubkey().